Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.io
Class UnsupportedConstraintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.jini.io.UnsupportedConstraintException

All Implemented Interfaces:
  Serializable

public class UnsupportedConstraintException
extends IOException

Typically used as the nested exception of a `ConnectIOException` if the constraints for a remote call cannot be satisfied. Such an exception can be thrown at the point a remote method is invoked for a variety of reasons, including:

- A client requirement is not supported by the server.
- A client or server requirement conflicts with some other client or server requirement.
- A client or server requirement cannot be satisfied by the proxy implementation.
- The local subject that would be used for authentication does not contain sufficient credentials to satisfy a client or server requirement.
- For a client or server requirement, the proxy implementation does not implement any algorithm in common with the server (for example, because the proxy implementation only uses algorithms that are available in the client environment rather than downloading algorithm implementations).
- A delegated remote call is being attempted, and the current time is either earlier than the granted delegation start time or later than the granted delegation stop time.

Since:
  2.0
See Also:
  `RemoteMethodControl`, Serialized Form

Constructor Summary
`UnsupportedConstraintException(String s)` Creates an instance with the specified detail message.
`UnsupportedConstraintException(String s, Throwable cause)` Creates an instance with the specified detail message and cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedConstraintException

    public UnsupportedConstraintException(String s)

  Creates an instance with the specified detail message.

Parameters:
  `s` - the detail message

### UnsupportedConstraintException

    public UnsupportedConstraintException(String s,
                                          Throwable cause)

  Creates an instance with the specified detail message and cause.

Parameters:
  `s` - the detail message
  `cause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved